pkgAcquire::UriIterator Class Reference
Acquire system {{{

Iterates over all the URIs being fetched by a pkgAcquire object. {{{. More...

`#include <apt-pkg/acquire.h>`

## Public Member Functions

void | operator++ ()
void | operator++ (int)
pkgAcquire::Queue::QItem const * | operator-> () const
bool | operator!= (UriIterator const &rhs) const
bool | operator== (UriIterator const &rhs) const
| UriIterator (pkgAcquire::Queue *Q)
| Create a new UriIterator.

## Detailed Description

Iterates over all the URIs being fetched by a pkgAcquire object. {{{.

## Constructor & Destructor Documentation

## UriIterator()

UriIterator | ( | pkgAcquire::Queue * | Q | ) |

explicit

Create a new UriIterator.

Parameters

  Q | The queue over which this UriIterator should iterate.

The documentation for this class was generated from the following files:

- apt-pkg/acquire.h
- apt-pkg/acquire.cc